# exports / triggers

## Client Exports / Triggers

<table><thead><tr><th width="428" align="center">Export</th><th align="center">Result</th></tr></thead><tbody><tr><td align="center">exports.brutal_boxing:isBoxing()</td><td align="center">true / false</td></tr></tbody></table>

For example:

```lua
local isPlayerBoxing = exports.brutal_boxing:isBoxing()

if isPlayerBoxing == true then
     print('Player is boxing right now.')
elseif isPlayerBoxing == false then
     print('Player is NOT boxing right now.')
end
```

## Client event handlers

```lua
AddEventHandler('brutal_boxing:client:start', function()
    -- Do something
end)

AddEventHandler('brutal_boxing:client:finish', function()
    -- Do something
end)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.brutalscripts.com/site/scripts/boxing/exports-triggers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
